# FlutterFire UI for Auth

FlutterFire UI for Auth provides a simple and easy way to implement authentication in your Flutter app.
The library provides fully featured UI screens to drop into new or existing applications, along with
lower level implementation details for developers looking for tighter control.

## Installation

To get started with Firebase UI for Auth, you first need to ensure the `firebase_auth` plugin is
[installed on your project](https://firebase.google.com/docs/auth/flutter/start).

If you haven't already done so, install the `flutterfire_ui` package by running the following command in your terminal:

```bash
flutter pub add flutterfire_ui
```

## Getting started

To understand what Flutter UI for Auth offers, the following documentation pages walk you through the various topics on
how to use the package within your Flutter app.

1. [Integrating your first screen](./auth/integrating-your-first-screen.md)
1. [Configuring Providers](./auth/configuring-providers.md)
1. [Building a custom UI](./auth/building-a-custom-ui.md)
1. [Localization](./auth/localization.md)
1. [Theming](./auth/theming.md)
1. [Navigation](./auth/navigation.md)
